Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.regex
Class PatternMatcherFactory.JavaPatternMatcherFactory

    java.lang.Object
      com.servingxml.components.regex.PatternMatcherFactory.JavaPatternMatcherFactory

All Implemented Interfaces:
  PatternMatcherFactory

Enclosing interface:
  PatternMatcherFactory

    public static class PatternMatcherFactory.JavaPatternMatcherFactory

extends java.lang.Object
implements PatternMatcherFactory

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.regex.PatternMatcherFactory
`PatternMatcherFactory.JavaPatternMatcherFactory`

Field Summary

Fields inherited from interface com.servingxml.components.regex.PatternMatcherFactory
`DEFAULT`

Constructor Summary
`PatternMatcherFactory.JavaPatternMatcherFactory()`

Method Summary
`PatternMatcher` | `createPatternMatcher(java.lang.String expression)`
`PatternMatcher` | `createPatternMatcher(java.lang.String expression, boolean caseSensitive, boolean useRegex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternMatcherFactory.JavaPatternMatcherFactory

    public PatternMatcherFactory.JavaPatternMatcherFactory()

Method Detail

### createPatternMatcher

    public final PatternMatcher createPatternMatcher(java.lang.String expression)

  Specified by:
    `createPatternMatcher` in interface `PatternMatcherFactory`

### createPatternMatcher

    public final PatternMatcher createPatternMatcher(java.lang.String expression,
                                                     boolean caseSensitive,
                                                     boolean useRegex)

  Specified by:
    `createPatternMatcher` in interface `PatternMatcherFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD